<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="./index.css">
    <title>CSS Styling Properties and Positioning</title>
</head>
<body>
    <h2>CSS Common Styling</h2>
    <!-- Display Property Discussion -->
    <section>
        <h3>Display</h3>

        <div class="div-1">This is a display:</div>
        <span id="span-1">This is a span</span>
        <img src="https://place-puppy.com/450x450" alt="">
        <span id="span-2">This is a another span</span>
        <div class="div-2">This is another div</div>
    </section>

    <section>
        <h3>Notes in block, inline and inline-block</h3>

        <p id="p-1">Block takes up the whole width by default</p>
        <p id="p-2">width 60</p>
        <p id="p-3">width 40</p>
        <p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>
        <p>Inline elements are things like bold and Italics. You cannot control the height and width of these elements.</p>
        <p>Inline-block can sit on the same line and combines block and inline properties</p>
        <div class="sample">width = 30</div>
        <div class="sample">width = 30</div>
        <div class="sample">width = 30</div>
    </section>
    <hr>
        <!-- float -->

    <section>
        <h3>Float</h3>
            <p>
                The float property is used for positioning and formatting content e.g. let an image float left to the text in a container.
            </p>


            <p>
                <img src="https://place-puppy.com/450x450" class="img-float">
                Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem, exercitationem eveniet pariatur impedit. Architecto quasi itaque, accusantium tenetur. Incidunt, aperiam, reprehenderit. Repudiandae, culpa eos nulla odio. Odio perferendis, accusamus ad. Lorem ipsum dolor sit amet consectetur adipisicing elit. Blanditiis inventore numquam quia, accusantium modi, voluptate assumenda architecto, dicta laboriosam sit sequi perspiciatis quo ab soluta consequuntur, incidunt totam. Tempore, perspiciatis. Lorem ipsum dolor sit amet consectetur, adipisicing, elit. Incidunt amet asperiores omnis architecto delectus dolorum, temporibus cumque optio, quidem. Praesentium eum, qui vel dolorem fugit nemo, consectetur necessitatibus. Sapiente, doloremque?
            </p>
    </section>

    <!-- css units -->
    <section>
        <h3>CSS Units</h3>
        <h4>px vs %</h4>
        <div class="box fifty">50%</div>
        <div class="box one-hundred">100px</div>

        <div class="box vw">50vw</div>
        <div class="box vh">50vh</div>
<br><br><br><br><br>

        <div class="one-rem">1rem</div>
        <div class="one-em">1em</div>
        <div class="two-rem">2rem</div>
        <div class="two-em">2em</div>

        <div class="parent">
            <div class="one-rem">1rem</div>
            <div class="one-em">1em</div>
            <div class="two-rem">2rem</div>
            <div class="two-em">2em</div>

            <div class="box fifty">50%</div>
            <div class="box one-hundred">100px</div>
            <div class="box vw">50vw</div>
            <div class="box vh">50vh</div>
        </div>
    </section>
    <hr>

    <!-- css background -->
    <section class="background">
        <div class="container-bg">
            <h3 class="bg-title">CSS Background Properties</h3>
        </div>
    </section>

    <section>
        <h2></h2>

        <div class="parent">
            <div class="child-1">child-1</div>
            <div class="child-2">child-2</div>
            <div class="child-3">child-3</div>
        </div>
    </section><hr><br><br><br><br>

    <!-- z-index -->
    <section>
        <h2>Z-index</h2>
        <p>an elasjhed ajhds uhfsd dsfhusdigf iyasd sdfdfg sdfsdf</p>

        <div class="container">
            <div class="black">Black box (zindex-1) class=""</div>
            <div class="gray">Gray Box(zindex-3</div>
            <div class="green">Green Box (zindex-2</div>
        </div>
    </section>




</body>
</html>